Package org.apache.torque.manager

## Class MethodCacheKey

- java.lang.Object
- - org.apache.torque.manager.MethodCacheKey

- All Implemented Interfaces:
    `Serializable`

      public class MethodCacheKey
      extends Object
      implements Serializable

  The key for the MethodResultCache.
  Version:
    $Id: MethodCacheKey.java 1867515 2019-09-25 15:02:03Z gk $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodCacheKey()` |
    `MethodCacheKey​(Serializable instanceOrClass, String method, Serializable... arg)` | Construct key

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getGroupKey()` | Return the group key
    `int` | `hashCode()` |
    `void` | `init​(Serializable instanceOrClass, String method, Serializable... arg)` | Initialize the key
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodCacheKey

          public MethodCacheKey()

    - #### MethodCacheKey

          public MethodCacheKey​(Serializable instanceOrClass,
                                String method,
                                Serializable... arg)

      Construct key
      Parameters:
        `instanceOrClass` - the Object on which the method is invoked. if the method is static, a String representing the class name is used.
        `method` - the method name
        `arg` - optional arguments for the method

  - ### Method Detail

    - #### init

          public void init​(Serializable instanceOrClass,
                           String method,
                           Serializable... arg)

      Initialize the key
      Parameters:
        `instanceOrClass` - the Object on which the method is invoked. if the method is static, a String representing the class name is used.
        `method` - the method name
        `arg` - optional arguments for the method

    - #### getGroupKey

          public String getGroupKey()

      Return the group key
      Returns:
        the group key

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`